## org.junit.runners
Enum MethodSorters

    java.lang.Object
      java.lang.Enum<MethodSorters>
          org.junit.runners.MethodSorters

All Implemented Interfaces:
  Serializable, Comparable<MethodSorters>

    public enum MethodSorters

extends Enum<MethodSorters>

Sort the methods into a specified execution order. Defines common `MethodSorter` implementations.

Since:
  4.11

Enum Constant Summary
`DEFAULT` Sorts the test methods in a deterministic, but not predictable, order
`JVM` Leaves the test methods in the order returned by the JVM.
`NAME_ASCENDING` Sorts the test methods by the method name, in lexicographic order, with `Method.toString()` used as a tiebreaker

Method Summary
`Comparator<Method>` `getComparator()`
`static MethodSorters` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MethodSorters[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAME_ASCENDING

    public static final MethodSorters NAME_ASCENDING

  Sorts the test methods by the method name, in lexicographic order, with `Method.toString()` used as a tiebreaker

### JVM

    public static final MethodSorters JVM

  Leaves the test methods in the order returned by the JVM. Note that the order from the JVM may vary from run to run

### DEFAULT

    public static final MethodSorters DEFAULT

  Sorts the test methods in a deterministic, but not predictable, order

Method Detail

### values

    public static MethodSorters[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MethodSorters c : MethodSorters.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MethodSorters valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getComparator

    public Comparator<Method> getComparator()

Copyright © 2002–2020 JUnit. All rights reserved.